The open source CrowdSec bouncer is designed to be included in any PHP application (inc WordPress sites) to help block attackers

PHP is a widely-used programming language on the web, and it’s estimated that nearly 80% of all websites use it. CrowdSec provides server admins with a PHP bouncer to help ward away bots and bad actors who may attempt to interact with PHP files.

Note that a server agent must be installed, with the bouncer application running at website level. WordPress has a plugin, whilst Drupal does not, but for Drupal you can use the PHP Bouncer directly.

See https://opensource.com/article/22/1/php-website-bouncer-crowdsec

#technology #security #websites #bots #wordpress #secops